# Function mapLineTypePattern

- mapLineTypePattern(lineTypeObj):
  | "solid"
  | "dash"
  | "dot"
  | "dash-dot"
  | undefined

- Maps a DXF line type pattern definition to an Esri line style.

  #### Parameters

  - lineTypeObj: ILineType

    The DXF line type definition object.

  #### Returns
  | "solid"
  | "dash"
  | "dot"
  | "dash-dot"
  | undefined

  The mapped Esri line style, or undefined if the pattern cannot be mapped.